export const name = '自定义表格'
export const desc = '通过HTML元素实现自定义表格'
export const author = '54xavier'
export const link = 'https://ccsimple.gitee.io/vue-plugin-hiprint/'
// url 或者 base64 或者 require('../../../assets/logo.png')
export const preview = '/static/template8.png'
export const printData = {
    table: {},
    details: {}
}
export const json = {
    panels: [
        {
            index: 0,
            name: 1,
            height: 296.6,
            width: 210,
            paperHeader: 0,
            paperFooter: 840.7559055118112,
            printElements: [
                {
                    options: {
                        left: 174,
                        top: 12,
                        height: 17,
                        width: 260,
                        testData: '供 投 里 海 农 特 产 品 下 单 清 单',
                        fontSize: 16.5,
                        field: 'headera',
                        fontWeight: '700',
                        textAlign: 'center',
                        hideTitle: true,
                        title: '供 投 里 海 农 特 产 品 下 单 清 单',
                        qid: 'headera',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0,
                        right: 434,
                        bottom: 28.25,
                        vCenter: 304,
                        hCenter: 19.75
                    },
                    printElementType: {
                        title: '单据表头',
                        type: 'text'
                    }
                },
                {
                    options: {
                        left: 198,
                        top: 37.5,
                        height: 9.75,
                        width: 200,
                        title: '收货地址',
                        field: 'printData.details.other_data.address',
                        testData: '某某区某某镇某某村某某小组某某地名',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0,
                        right: 296.49609375,
                        bottom: 47.49609375,
                        vCenter: 251.49609375,
                        hCenter: 42.62109375,
                        qid: 'phone_1'
                    },
                    printElementType: {
                        title: '文本',
                        type: 'text'
                    }
                },
                {
                    options: {
                        left: 96,
                        top: 37.5,
                        height: 9.75,
                        width: 90,
                        title: '电话',
                        field: 'printData.details.other_data..phone',
                        testData: '18982406440',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0,
                        right: 185.25,
                        bottom: 47.25,
                        vCenter: 140.25,
                        hCenter: 42.375,
                        qid: 'nickname_1'
                    },
                    printElementType: {
                        title: '文本',
                        type: 'text'
                    }
                },
                {
                    options: {
                        left: 405,
                        top: 37.5,
                        height: 9.75,
                        width: 140,
                        title: '订单号',
                        field: 'printData.details.order_id',
                        testData: 'YG1730278258811950',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0,
                        right: 87.49609375,
                        bottom: 67.74609375,
                        vCenter: 52.49609375,
                        hCenter: 62.87109375,
                        qid: 'nickname_1'
                    },
                    printElementType: {
                        title: '文本',
                        type: 'text'
                    }
                },
                {
                    options: {
                        left: 18,
                        top: 37.5,
                        height: 9.75,
                        width: 70,
                        title: '姓名',
                        field: 'printData.details.other_data.nickname',
                        testData: '张三',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0,
                        right: 97.25,
                        bottom: 47.25,
                        vCenter: 57.25,
                        hCenter: 42.375
                    },
                    printElementType: {
                        title: '文本',
                        type: 'text'
                    }
                },
                {
                    options: {
                        left: 198.5,
                        top: 54.25,
                        height: 9.75,
                        width: 79,
                        title: '采购事由',
                        field: 'printData.details.other_data.purpose',
                        testData: '70寿宴',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0,
                        right: 381.49609375,
                        bottom: 66.99609375,
                        vCenter: 346.49609375,
                        hCenter: 62.12109375,
                        qid: 'nickname_1'
                    },
                    printElementType: {
                        title: '文本',
                        type: 'text'
                    }
                },
                {
                    options: {
                        left: 95,
                        top: 55,
                        height: 9.75,
                        width: 90,
                        title: '电话',
                        field: 'printData.details.other_data.chef_phone',
                        testData: '18982406440',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0,
                        right: 184.74609375,
                        bottom: 91.74609375,
                        vCenter: 139.74609375,
                        hCenter: 86.87109375,
                        qid: 'phone_1'
                    },
                    printElementType: {
                        title: '文本',
                        type: 'text'
                    }
                },
                {
                    options: {
                        left: 17.5,
                        top: 55,
                        height: 9.75,
                        width: 70,
                        title: '厨师',
                        field: 'printData.details.other_data.chef',
                        testData: '张三',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0,
                        right: 87.49609375,
                        bottom: 88.74609375,
                        vCenter: 52.49609375,
                        hCenter: 83.87109375,
                        qid: 'nickname_1'
                    },
                    printElementType: {
                        title: '文本',
                        type: 'text'
                    }
                },
                {
                    options: {
                        left: 288,
                        top: 56,
                        height: 10,
                        width: 45,
                        title: '桌数',
                        field: 'printData.details.other_data.tables',
                        testData: '70',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0,
                        right: 475.24609375,
                        bottom: 68.49609375,
                        vCenter: 435.74609375,
                        hCenter: 63.62109375,
                        qid: 'purpose_1'
                    },
                    printElementType: {
                        title: '文本',
                        type: 'text'
                    }
                },
                {
                    options: {
                        left: 341,
                        top: 56,
                        height: 10,
                        width: 60,
                        title: '办事时间',
                        field: 'printData.details.other_data.days',
                        testData: '3',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0,
                        right: 491.49609375,
                        bottom: 67.74609375,
                        vCenter: 468.99609375,
                        hCenter: 62.87109375,
                        qid: 'tables_1'
                    },
                    printElementType: {
                        title: '文本',
                        type: 'text'
                    }
                },
                {
                    options: {
                        left: 197.5,
                        top: 75,
                        height: 9.75,
                        width: 140,
                        title: '到货时间',
                        field: 'printData.details.other_data.arrival_time',
                        testData: '2024-10-15 14:30:20',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0,
                        right: 548.7478713989258,
                        bottom: 90.74787139892578,
                        vCenter: 478.7478713989258,
                        hCenter: 85.87287139892578,
                        qid: 'create_1'
                    },
                    printElementType: {
                        title: '文本',
                        type: 'text'
                    }
                },
                {
                    options: {
                        left: 15,
                        top: 75,
                        height: 9.75,
                        width: 140,
                        title: '下单时间',
                        field: 'printData.details.create_time',
                        testData: '2024-10-15 14:30:20',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0,
                        right: 182.24291229248047,
                        bottom: 90.99291229248047,
                        vCenter: 112.24291229248047,
                        hCenter: 86.11791229248047,
                        qid: 'phone_1'
                    },
                    printElementType: {
                        title: '文本',
                        type: 'text'
                    }
                },
                {
                    options: {
                        left: 18,
                        top: 108,
                        height: 54,
                        width: 558,
                        field: 'printData.table',
                        qid: 'table',
                        right: 568.75,
                        bottom: 161.25,
                        vCenter: 293.75,
                        hCenter: 134.25,
                        coordinateSync: false,
                        widthHeightSync: false,
                        columns: [
                            [
                                {
                                    width: 28.04091373500173,
                                    title: '编号',
                                    field: 'product_id',
                                    checked: true,
                                    fixed: false,
                                    rowspan: 1,
                                    colspan: 1
                                },
                                {
                                    width: 31.50798168980468,
                                    title: '类别',
                                    field: 'top_cate_name',
                                    checked: true,
                                    fixed: false,
                                    rowspan: 1,
                                    colspan: 1
                                },
                                {
                                    width: 92.52725057431623,
                                    title: '名称',
                                    field: 'store_name',
                                    checked: true,
                                    fixed: false,
                                    rowspan: 1,
                                    colspan: 1
                                },
                                {
                                    width: 32.49120839160852,
                                    title: '毛重',
                                    field: 'gross_weight',
                                    checked: true,
                                    fixed: false,
                                    rowspan: 1,
                                    colspan: 1
                                },
                                {
                                    width: 32.53381779989224,
                                    title: '净重',
                                    field: 'net_weight',
                                    checked: true,
                                    fixed: false,
                                    rowspan: 1,
                                    colspan: 1
                                },
                                {
                                    width: 29.42867753045773,
                                    title: '单位',
                                    field: 'unit_name',
                                    checked: true,
                                    fixed: false,
                                    rowspan: 1,
                                    colspan: 1
                                },
                                {
                                    width: 31.50297331923548,
                                    title: '单价',
                                    field: 'price',
                                    checked: true,
                                    fixed: false,
                                    rowspan: 1,
                                    colspan: 1
                                },
                                {
                                    width: 28.61867322166049,
                                    title: '数量',
                                    field: 'cart_num',
                                    checked: true,
                                    fixed: false,
                                    rowspan: 1,
                                    colspan: 1
                                },
                                {
                                    width: 33.35318875457845,
                                    title: '金额',
                                    field: 'total_price',
                                    checked: true,
                                    fixed: false,
                                    rowspan: 1,
                                    colspan: 1
                                },
                                {
                                    width: 29.468112230977603,
                                    title: '包装',
                                    field: 'package',
                                    checked: true,
                                    fixed: false,
                                    rowspan: 1,
                                    colspan: 1
                                },
                                {
                                    width: 31.164499506790204,
                                    title: '押金',
                                    field: 'deposit',
                                    checked: true,
                                    fixed: false,
                                    rowspan: 1,
                                    colspan: 1
                                },
                                {
                                    width: 50.09380340779709,
                                    title: '售后',
                                    field: 'after_sales',
                                    checked: true,
                                    fixed: false,
                                    rowspan: 1,
                                    colspan: 1
                                },
                                {
                                    width: 47.030224080099075,
                                    title: '损耗',
                                    field: 'loss',
                                    checked: true,
                                    fixed: false,
                                    rowspan: 1,
                                    colspan: 1
                                },
                                {
                                    width: 32.08816604575006,
                                    title: '产地',
                                    field: 'place_of_production',
                                    checked: true,
                                    fixed: false,
                                    rowspan: 1,
                                    colspan: 1
                                },
                                {
                                    width: 28.15050971203051,
                                    title: '备注',
                                    field: 'mark',
                                    checked: true,
                                    fixed: false,
                                    rowspan: 1,
                                    colspan: 1
                                }
                            ]
                        ]
                    },
                    printElementType: {
                        title: '订单数据',
                        type: 'table',
                        editable: true,
                        columnDisplayEditable: true,
                        columnDisplayIndexEditable: true,
                        columnTitleEditable: true,
                        columnResizable: true,
                        columnAlignEditable: true,
                        isEnableEditField: true,
                        isEnableContextMenu: true,
                        isEnableInsertRow: true,
                        isEnableDeleteRow: true,
                        isEnableInsertColumn: true,
                        isEnableDeleteColumn: true,
                        isEnableMergeCell: true
                    }
                },
                {
                    options: {
                        left: 87.5,
                        top: 172.5,
                        height: 9.75,
                        width: 110,
                        title: '采购预收金额',
                        right: 197.4921875,
                        bottom: 182.25,
                        vCenter: 142.4921875,
                        hCenter: 177.375,
                        field: 'payment_amount',
                        testData: '100.3',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0,
                        qid: 'count_1'
                    },
                    printElementType: {
                        title: '这是更新后的元素',
                        type: 'text'
                    }
                },
                {
                    options: {
                        left: 292.5,
                        top: 172.5,
                        height: 9.75,
                        width: 90,
                        title: '合计预收',
                        right: 382.5,
                        bottom: 181.9921875,
                        vCenter: 337.5,
                        hCenter: 177.1171875,
                        field: 'pay_price',
                        testData: '100.3',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0,
                        qid: 'deposit_1'
                    },
                    printElementType: {
                        title: '这是更新后的元素',
                        type: 'text'
                    }
                },
                {
                    options: {
                        left: 207.5,
                        top: 172.5,
                        height: 9.75,
                        width: 70,
                        title: '押金',
                        right: 311,
                        bottom: 180.99609375,
                        vCenter: 256,
                        hCenter: 176.12109375,
                        field: 'deposit',
                        testData: '100.3',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0,
                        qid: 'payment_1'
                    },
                    printElementType: {
                        title: '这是更新后的元素',
                        type: 'text'
                    }
                },
                {
                    options: {
                        left: 390,
                        top: 172.5,
                        height: 9.75,
                        width: 90,
                        title: '接单员',
                        right: 480.24609375,
                        bottom: 184.74609375,
                        vCenter: 435.24609375,
                        hCenter: 179.87109375,
                        field: 'admin_name',
                        testData: '只做',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0,
                        qid: 'pay_1'
                    },
                    printElementType: {
                        title: '这是更新后的元素',
                        type: 'text'
                    }
                },
                {
                    options: {
                        left: 17.5,
                        top: 172.5,
                        height: 9.75,
                        width: 50,
                        title: '累计',
                        right: 137.25,
                        bottom: 183,
                        vCenter: 77.25,
                        hCenter: 178.125,
                        field: 'count',
                        testData: '10',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0
                    },
                    printElementType: {
                        title: '这是更新后的元素',
                        type: 'text'
                    }
                },
                {
                    options: {
                        left: 487.5,
                        top: 172.5,
                        height: 9.75,
                        width: 90,
                        title: '分单员',
                        right: 576.99609375,
                        bottom: 181.74609375,
                        vCenter: 531.99609375,
                        hCenter: 176.87109375,
                        field: 'pay_price',
                        testData: '里斯',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0,
                        qid: 'pay_2'
                    },
                    printElementType: {
                        title: '这是更新后的元素',
                        type: 'text'
                    }
                },
                {
                    options: {
                        left: 17.5,
                        top: 190,
                        height: 9.75,
                        width: 360,
                        title: '备注',
                        field: 'mark',
                        testData: '数量金额最终以实际收货金额结算，多退少补。押金退框无利息退还。',
                        coordinateSync: false,
                        widthHeightSync: false,
                        qrCodeLevel: 0
                    },
                    printElementType: {
                        title: '这是更新后的元素',
                        type: 'text'
                    }
                }
            ],
            paperNumberLeft: 565,
            paperNumberTop: 396,
            paperNumberContinue: true,
            watermarkOptions: {},
            panelLayoutOptions: {}
        }
    ]
}
export default {
    preview: preview,
    name: name,
    desc: desc,
    author: author,
    link: link,
    printData: printData,
    json: json
}
